---
layout: default
---

{%- assign about = site.posts | find: 'layout', 'about' -%}
{%- assign posts = site.posts | where: 'layout', 'post' -%}
{%- assign logros = site.posts | where: 'layout', 'banner_1' -%}
{%- assign acciones = site.posts | where: 'layout', 'banner_2' -%}

<section id="portada">
	<div class="row no-gutters justify-content-center row-cols-1 row-cols-md-2">
		{% for post in posts limit: 2 %}
      {%- include_cached post.html post=post height=30 overlap=true -%}
		{% endfor %}
	</div>

  {% comment %}
  Usamos container y row con gutters para poder tener divisiones en la
  grilla de noticias.
  {% endcomment %}
  <div class="container">
    <div class="row justify-content-center row-cols-1 row-cols-md-3">
      {% for post in posts limit: 6 offset: 2 %}
        {%- include_cached post.html post=post -%}
      {% endfor %}
    </div>
  </div>
</section>


<section id="mision">
  <div class="d-flex w-100 h-80vh flex-column">
    {%- include_cached picture.html image=about.image default_description=about.title height='80vh' -%}

    <div class="d-flex align-items-center justify-content-center w-100 mt-n80vh h-80vh">
      <div class="text-center white">
        <h1 class="font-weight-bold text-uppercase f-md-8">{{ about.title }}</h1>
        <p class="lead f-md-5">{{ about.tagline }}</p>
      </div>
    </div>
  </div>

	<div class="d-flex background-blue vh-50 align-items-center justify-content-center pt-8 pb-8">
		<div class="text-white text-center">
      <div class="mb-3">
        {{ about.mision }}
      </div>

			<a class="btn btn-outline-light" href="{{ about.url }}">{{ site.i18n.more }}</a>
		</div>
	</div>

	<div class="h-80vh">
    {%- include_cached picture.html image=about.image_2 default_description=about.title height='80vh' -%}
	</div>
</section>

{% unless logros == empty %}
  <section id="logros">
    <header class="pt-5 pb-5">
      <h1 class="text-uppercase text-center">{{ site.i18n.logros.title }}</h1>
    </header>

    <div class="w-100 row no-gutters row-cols-1 row-cols-md-3 flex-nowrap no-scrollbar overflow-y-hidden snap-mandatory-y">
      {% for logro in logros %}
        <article
          id="{{ logro.slug }}"
          class="snap-start position-relative d-flex flex-column justify-content-start align-items-center"
          itemscope itemprop="SpecialAnnouncement" itemtype="https://schema.org/SpecialAnnouncement">
          <a class="stretched-link" href="{{ logro.post.url }}"></a>

          {%- include_cached picture.html image=logro.image default_description=logro.title height='15' -%}

          <header class="text-center">
            <h1 class="f-3 text-uppercase">{{ logro.title }}</h1>
            <p class="lead">{{ logro.description }}</p>
          </header>

          <a
            href="#{{ logro | infinite_prev: logros, 1 | map: 'slug' | first }}"
            class="carousel-control-prev d-md-none"
            role="button">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="sr-only">{{ site.i18n.accessibility.previous }}</span>
          </a>

          <a
            href="#{{ logro | infinite_next: logros, 1 | map: 'slug' | first }}"
            class="carousel-control-next d-md-none"
            role="button">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="sr-only">{{ site.i18n.accessibility.next }}</span>
          </a>
        </article>
      {% endfor %}
    </div>
  </section>
{% endunless %}

{% unless acciones == empty %}
  <section id="acciones" class="mt-5">
    <div class="w-100 row no-gutters row-cols-1 row-cols-md-4 flex-nowrap no-scrollbar overflow-y-hidden snap-mandatory-y">
      {% for accion in acciones %}
        <article
          id="{{ accion.slug }}"
          class="snap-start position-relative d-flex flex-column justify-content-start align-items-center pb-8"
          style="background-color: {{ accion.background_color | default: 'transparent' }}; color: {{ accion.color | default: 'black' }}"
          itemscope itemprop="SpecialAnnouncement" itemtype="https://schema.org/SpecialAnnouncement">
          <a
            class="stretched-link"
            {{ accion.link | start_with: 'http' | value_if: 'rel="noopener" target="_blank"' }}
            href="{{ accion.link | present | ternary: accion.link, accion.post.url }}"></a>

          {%- include_cached picture.html image=accion.image default_description=accion.title height='15' -%}

          <header class="text-center text-uppercase">
            <h1 class="f-3">{{ accion.title }}</h1>
            <p class="lead">{{ accion.description }}</p>

            <p>{{ site.i18n.more }}</p>
          </header>

          <a
            href="#{{ accion | infinite_prev: acciones, 1 | map: 'slug' | first }}"
            class="carousel-control-prev d-md-none"
            role="button">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="sr-only">{{ site.i18n.accessibility.previous }}</span>
          </a>

          <a
            href="#{{ accion | infinite_next: acciones, 1 | map: 'slug' | first }}"
            class="carousel-control-next d-md-none"
            role="button">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="sr-only">{{ site.i18n.accessibility.next }}</span>
          </a>
        </article>
      {% endfor %}
    </div>
  </section>
{% endunless %}
